<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html">PlaybackControllerInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_playback_controller_interface_8h_source.html">PlaybackControllerInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html" title="alexaClientSDK::capability\lAgents::playbackController\l::PlaybackController" alt="" coords="29,105,209,157"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0a7fd145ce3159a0cae431e0906c00f5"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html#a0a7fd145ce3159a0cae431e0906c00f5">~PlaybackControllerInterface</a> ()=default</td></tr>
<tr class="separator:a0a7fd145ce3159a0cae431e0906c00f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878de7acd11726769fefb7ad41fec335"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html#a878de7acd11726769fefb7ad41fec335">playButtonPressed</a> ()=0</td></tr>
<tr class="separator:a878de7acd11726769fefb7ad41fec335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cd4c6081f376f8bbeae90c0117563fc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html#a4cd4c6081f376f8bbeae90c0117563fc">pauseButtonPressed</a> ()=0</td></tr>
<tr class="separator:a4cd4c6081f376f8bbeae90c0117563fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89c1a271acf4989812bfb82a45177bf"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html#ac89c1a271acf4989812bfb82a45177bf">nextButtonPressed</a> ()=0</td></tr>
<tr class="separator:ac89c1a271acf4989812bfb82a45177bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90866d1b82ea8ee596e9eb6c9fab4642"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_controller_interface.html#a90866d1b82ea8ee596e9eb6c9fab4642">previousButtonPressed</a> ()=0</td></tr>
<tr class="separator:a90866d1b82ea8ee596e9eb6c9fab4642"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The PlaybackController Interface can be used to send events for navigating a playback queue with an on-client button press or GUI affordance, rather than through a speech request. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0a7fd145ce3159a0cae431e0906c00f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a7fd145ce3159a0cae431e0906c00f5">&#9670;&nbsp;</a></span>~PlaybackControllerInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface::~PlaybackControllerInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Destructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac89c1a271acf4989812bfb82a45177bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac89c1a271acf4989812bfb82a45177bf">&#9670;&nbsp;</a></span>nextButtonPressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface::nextButtonPressed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This method can be called by the client when "Next" is pressed on a physical button or on the GUI. A NextCommandIssued event message will be sent to AVS. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html#a671b662dd04de361816d57f8a203df2d">alexaClientSDK::capabilityAgents::playbackController::PlaybackController</a>.</p>

</div>
</div>
<a id="a4cd4c6081f376f8bbeae90c0117563fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cd4c6081f376f8bbeae90c0117563fc">&#9670;&nbsp;</a></span>pauseButtonPressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface::pauseButtonPressed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This method can be called by the client when "Pause" is pressed on a physical button or on the GUI. A PauseCommandIssued event message will be sent to AVS. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html#a2c41840d0e52bf4147d6868b81bb7818">alexaClientSDK::capabilityAgents::playbackController::PlaybackController</a>.</p>

</div>
</div>
<a id="a878de7acd11726769fefb7ad41fec335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a878de7acd11726769fefb7ad41fec335">&#9670;&nbsp;</a></span>playButtonPressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface::playButtonPressed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This method can be called by the client when "Play" is pressed on a physical button or on the GUI. A PlayCommandIssued event message will be sent to AVS. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html#a2d6856e6ed14ecfb611869983f79f34a">alexaClientSDK::capabilityAgents::playbackController::PlaybackController</a>.</p>

</div>
</div>
<a id="a90866d1b82ea8ee596e9eb6c9fab4642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90866d1b82ea8ee596e9eb6c9fab4642">&#9670;&nbsp;</a></span>previousButtonPressed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::PlaybackControllerInterface::previousButtonPressed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This method can be called by the client when "Previous" is pressed on a physical button or on the GUI. A PreviousCommandIssued event message will be sent to AVS. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html#a280c366ee00a81d5034a4e27629b05b6">alexaClientSDK::capabilityAgents::playbackController::PlaybackController</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/Users/sdy/AVS_CPP_SDK/github/alexa-client-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/<a class="el" href="_playback_controller_interface_8h_source.html">PlaybackControllerInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.3.0 - Copyright 2016-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
